bitel.billing.server.contract.bean

## Class ContractScriptManager

- java.lang.Object
- - bitel.billing.server.contract.bean.ContractScriptManager

-     public class ContractScriptManager
      extends java.lang.Object

  Класс-менеджер для работы с таблицей contract_script и сущностью ContractScript. ( Привязка скриптов поведения к договору ).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractScriptManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteContractScript(int id)` Удаляет скрипт договора.
    `void` | `deleteScript(int scriptId)` Удаляет скрипт с конкретным кодом скрипта со ВСЕХ договоров.
    `void` | `deleteScript(int scriptId, java.util.List<java.lang.Integer> cids)` Удаляет скрипт с конкретным кодом скрипта с указанных договоров.
    `ContractScript` | `getContractScriptById(int id)` Получить скрипт по его коду
    `ContractScript` | `getContractScriptByID(int id)` Deprecated.
    `ContractScript` | `getContractScriptByScriptId(int cid, int scriptId)` Возвращает ContractScript для опредлелённого ид-контракта и ид-скрипта, в принципе, был создан пока только для определения существует ли у договора уже этот самый скрипт.
    `ContractScript` | `getContractScriptByScriptID(int cid, int scriptId)` Deprecated.
    `java.util.List<ContractScript>` | `getContractScriptList(int cid)` Возвращает список всех скриптов договора
    `java.util.List<ContractScript>` | `getContractScriptList(int cid, java.util.Calendar date)` Возвращает список скриптов договора, действующих в определенную дату
    `void` | `updateContractScript(ContractScript contractScript)` Обновляет скрипт договора
    `void` | `updateContractScript(java.lang.String id, ContractScript contractScript)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractScriptManager

          public ContractScriptManager(java.sql.Connection con)

  - ### Method Detail

    - #### getContractScriptList

          public java.util.List<ContractScript> getContractScriptList(int cid)

      Возвращает список всех скриптов договора
      Parameters:
        `cid` - код договора
      Returns:

    - #### getContractScriptList

          public java.util.List<ContractScript> getContractScriptList(int cid,
                                                                      java.util.Calendar date)

      Возвращает список скриптов договора, действующих в определенную дату
      Parameters:
        `cid` - код договора
        `date` - дата
      Returns:

    - #### getContractScriptById

          public ContractScript getContractScriptById(int id)

      Получить скрипт по его коду
      Parameters:
        `id` - код скрипта
      Returns:
        null - если нету

    - #### getContractScriptByID

          @Deprecated
          public ContractScript getContractScriptByID(int id)

      Deprecated.
      Использовать `getContractScriptById(int)`.
      Parameters:
        `id` -
      Returns:

    - #### getContractScriptByScriptId

          public ContractScript getContractScriptByScriptId(int cid,
                                                            int scriptId)

      Возвращает ContractScript для опредлелённого ид-контракта и ид-скрипта, в принципе, был создан пока только для определения существует ли у договора уже этот самый скрипт.
      Parameters:
        `cid` - договор
        `scriptId` - скрипт
      Returns:
        объект, если есть

    - #### getContractScriptByScriptID

          @Deprecated
          public ContractScript getContractScriptByScriptID(int cid,
                                                                        int scriptId)

      Deprecated.
      Использовать `getContractScriptByScriptId(int, int)`.
      Parameters:
        `cid` -
        `scriptId` -
      Returns:

    - #### updateContractScript

          @Deprecated
          public void updateContractScript(java.lang.String id,
                                                       ContractScript contractScript)

      Deprecated.

    - #### updateContractScript

          public void updateContractScript(ContractScript contractScript)

      Обновляет скрипт договора
      Parameters:
        `id` - код скрипта, id < 1 - новый
        `contractScript` - скрипт

    - #### deleteContractScript

          public void deleteContractScript(int id)

      Удаляет скрипт договора.
      Parameters:
        `id` - ид контрактскрипта.

    - #### deleteScript

          public void deleteScript(int scriptId)

      Удаляет скрипт с конкретным кодом скрипта со ВСЕХ договоров.
      Parameters:
        `scriptId` - ид скрипта.

    - #### deleteScript

          public void deleteScript(int scriptId,
                                   java.util.List<java.lang.Integer> cids)

      Удаляет скрипт с конкретным кодом скрипта с указанных договоров.
      Parameters:
        `scriptId` - ид скрипта.
        `cids` - список ид договоров.